Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/refaireEditionTRS.xsl
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/refaireEditionTRS.xsl	(revision 2396)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/refaireEditionTRS.xsl	(revision 2397)
@@ -1,204 +1,187 @@
 <?xml version="1.0"?>
 
 
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:atilf="http://www.atilf.fr" version="2.0">
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:atilf="http://www.atilf.fr" version="2.0">
 
-  <xsl:output method="xml"/>
-  
-  <xsl:param name="soundFile"/>
+	<xsl:output method="xml" />
 
+	<xsl:param name="soundFile" />
 
-  
-  
-  <xsl:function name="atilf:traduireTemps">
-    <xsl:param name="t"/>
 
-    <xsl:choose>
-      <xsl:when test="count($t) != 0">
-	<xsl:analyze-string select="$t" regex="([0-9]+):([0-9]+):([0-9]+)">
-	  <xsl:matching-substring>
-	    <xsl:value-of select="number(regex-group(1))*3600+number(regex-group(2))*60+number(regex-group(3))"/>
-	  </xsl:matching-substring>
-	  <xsl:non-matching-substring><xsl:text>0</xsl:text></xsl:non-matching-substring>
-	</xsl:analyze-string>
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:text>0</xsl:text>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:function>
 
-  <xsl:template match="/">
-    <xsl:apply-templates/>
-  </xsl:template>
 
+	<xsl:function name="atilf:traduireTemps">
+		<xsl:param name="t" />
 
-  <xsl:template match="html">
-    <xsl:copy>
-      <xsl:apply-templates select="meta"/>
-      <xsl:apply-templates select="head"/>
-      <xsl:apply-templates select="link"/>
-      <xsl:apply-templates select="*[not(self::meta) and not(self::head) and
-				   not(self::link) and not(self::body) and not(self::tei:body)]"/>
-      <xsl:apply-templates select="tei:body"/>
-    </xsl:copy>
-  </xsl:template>
-  
-  <xsl:template match="*">
-    <xsl:copy>
-      <xsl:apply-templates select="@* | node()"/>
-    </xsl:copy>
-  </xsl:template>
+		<xsl:choose>
+			<xsl:when test="count($t) != 0">
+				<xsl:analyze-string select="$t"
+					regex="([0-9]+):([0-9]+):([0-9]+)">
+					<xsl:matching-substring>
+						<xsl:value-of
+							select="number(regex-group(1))*3600+number(regex-group(2))*60+number(regex-group(3))" />
+					</xsl:matching-substring>
+					<xsl:non-matching-substring>
+						<xsl:text>0</xsl:text>
+					</xsl:non-matching-substring>
+				</xsl:analyze-string>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>0</xsl:text>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:function>
 
-  <xsl:template match="@* | text() | comment() | processing-instruction()">
-    <xsl:copy/>
-  </xsl:template>
+	<xsl:template match="/">
+		<xsl:apply-templates />
+	</xsl:template>
 
- 
 
-  <xsl:template match="tei:body">
-    <xsl:copy>
-	<script>
-	  <!-- Element.prototype.documentOffsetTop = function () {
-	  return this.offsetTop + ( this.offsetParent ? this.offsetParent.documentOffsetTop() : 0 );
-	  };
-	  
-	 
-	  function myFunc2(event) {
-	  document.getElementById('tracktime').innerHTML = Math.floor(event.currentTime) + ' / ' + Math.floor(event.duration);
-	  };
-	     function myFunc3(event) {
-	     var x = document.getElementsByTagName("span");
-	     for (index = 0; index &lt; x.length; index++){
-	     if ((x[index].getAttribute("begin") &lt; event.currentTime)
-	        &amp;&amp;
-	        (x[index].getAttribute("end") &gt; event.currentTime)){
-	    
-		x[index].className = "spk_hi";
-		/*x[index].scrollIntoView( true );*/
-		/*var top = x[index].documentOffsetTop() - ( window.innerHeight / 2 );
-	
-		window.scrollTo(0, top );*/
-		
-		var topPos = x[index].offsetTop;
-		document.getElementById('scrollDiv').scrollTop = topPos-110;
-		}
-		else{
-		x[index].className="spk";
-		}
-	     };
-	    };-->
-	    
-	       function moveInSound(t){
-	       var player = document.getElementById("audioPlay");
-	       
-	       if (player.paused){
-	          player.currentTime = t;
-	          player.play();
-		  }
-		  else{
-		  player.pause();
-		  }
-	       };
+	<xsl:template match="html">
+		<xsl:copy>
+			<xsl:apply-templates select="meta" />
+			<xsl:apply-templates select="head" />
+			<xsl:apply-templates select="link" />
+			<xsl:apply-templates
+				select="*[not(self::meta) and not(self::head) and
+				   not(self::link) and not(self::body) and not(self::tei:body)]" />
+			<xsl:apply-templates select="tei:body" />
+		</xsl:copy>
+	</xsl:template>
 
-	        function stopSound(t){
-	       var player = document.getElementById("audioPlay");
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates select="@* | node()" />
+		</xsl:copy>
+	</xsl:template>
 
-	       player.pause();
-	     };
-	</script>
-	 <audio id="audioPlay" controls="controls" style="height:100px; display:none">
-	    <source src="{$soundFile}"/>
-	  </audio>
-	<xsl:apply-templates/>
-    </xsl:copy>
-  </xsl:template>
+	<xsl:template
+		match="@* | text() | comment() | processing-instruction()">
+		<xsl:copy />
+	</xsl:template>
 
 
-  <!-- En fait, on veut mettre un bouton play, stop -->
-  <xsl:template match="span[@class='spk']">
 
-    <!-- <button type="button" style='background: url("play.png") no-repeat; width:25px;height:25px;background-size:100%;'>
-       <xsl:attribute name="onclick">
-	<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
-      </xsl:attribute>
-      <xsl:text> </xsl:text>
-    </button> -->
-      
- 
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:attribute name="onclick">
-	<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
-      </xsl:attribute>
-      <xsl:apply-templates select="node()"/>
+	<xsl:template match="tei:body">
+		<xsl:copy>
+			<script>
+				<!-- Element.prototype.documentOffsetTop = function () { return this.offsetTop 
+					+ ( this.offsetParent ? this.offsetParent.documentOffsetTop() : 0 ); }; function 
+					myFunc2(event) { document.getElementById('tracktime').innerHTML = Math.floor(event.currentTime) 
+					+ ' / ' + Math.floor(event.duration); }; function myFunc3(event) { var x 
+					= document.getElementsByTagName("span"); for (index = 0; index &lt; x.length; 
+					index++){ if ((x[index].getAttribute("begin") &lt; event.currentTime) &amp;&amp; 
+					(x[index].getAttribute("end") &gt; event.currentTime)){ x[index].className 
+					= "spk_hi"; /*x[index].scrollIntoView( true );*/ /*var top = x[index].documentOffsetTop() 
+					- ( window.innerHeight / 2 ); window.scrollTo(0, top );*/ var topPos = x[index].offsetTop; 
+					document.getElementById('scrollDiv').scrollTop = topPos-110; } else{ x[index].className="spk"; 
+					} }; }; -->
 
-    </xsl:copy>
-    
-    <!-- <button type="button"  style='background: url("pause.png") no-repeat; width:25px;height:25px;background-size:100%;'>
-       <xsl:attribute name="onclick">
-	<xsl:text>stopSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
-      </xsl:attribute>
-      <xsl:text> </xsl:text>
-</button> -->
- 
-  </xsl:template>
+				function moveInSound(t){
+				var player = document.getElementById("audioPlay");
 
-  <xsl:template match="span[@class='sync']">
+				if (player.paused){
+				player.currentTime = t;
+				player.play();
+				}
+				else{
+				player.pause();
+				}
+				};
 
-    <!-- <button type="button" style='background: url("play.png") no-repeat; width:25px;height:25px;background-size:100%;'>
-       <xsl:attribute name="onclick">
-	<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
-      </xsl:attribute>
-      <xsl:text> </xsl:text>
-    </button> -->
-      
- 
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:attribute name="onclick">
-	<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(./text())"/><xsl:text>)</xsl:text>
-      </xsl:attribute>
-      <xsl:apply-templates select="node()"/>
+				function stopSound(t){
+				var player = document.getElementById("audioPlay");
 
-    </xsl:copy>
-    
-    <!-- <button type="button"  style='background: url("pause.png") no-repeat; width:25px;height:25px;background-size:100%;'>
-       <xsl:attribute name="onclick">
-	<xsl:text>stopSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
+				player.pause();
+				};
+			</script>
+			<audio id="audioPlay" controls="controls"
+				style="height:100px; display:none">
+				<source src="{$soundFile}" />
+			</audio>
+			<xsl:apply-templates />
+		</xsl:copy>
+	</xsl:template>
+
+
+	<!-- En fait, on veut mettre un bouton play, stop -->
+	<xsl:template match="span[@class='spk']">
+
+		<!-- <button type="button" style='background: url("play.png") no-repeat; 
+			width:25px;height:25px;background-size:100%;'> <xsl:attribute name="onclick"> 
+			<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text> 
+			</xsl:attribute> <xsl:text> </xsl:text> </button> -->
+
+
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:attribute name="onclick">
+	<xsl:text>moveInSound(</xsl:text><xsl:value-of
+				select="atilf:traduireTemps(following::span[@class='sync'][1]/text())" /><xsl:text>)</xsl:text>
       </xsl:attribute>
-      <xsl:text> </xsl:text>
-</button> -->
- 
-  </xsl:template>
+			<xsl:apply-templates select="node()" />
 
-  <xsl:template match="span[@class='word']">
+		</xsl:copy>
 
-    <!-- <button type="button" style='background: url("play.png") no-repeat; width:25px;height:25px;background-size:100%;'>
-       <xsl:attribute name="onclick">
-	<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
+		<!-- <button type="button" style='background: url("pause.png") no-repeat; 
+			width:25px;height:25px;background-size:100%;'> <xsl:attribute name="onclick"> 
+			<xsl:text>stopSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text> 
+			</xsl:attribute> <xsl:text> </xsl:text> </button> -->
+
+	</xsl:template>
+
+	<xsl:template match="span[@class='sync']">
+
+		<!-- <button type="button" style='background: url("play.png") no-repeat; 
+			width:25px;height:25px;background-size:100%;'> <xsl:attribute name="onclick"> 
+			<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text> 
+			</xsl:attribute> <xsl:text> </xsl:text> </button> -->
+
+
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:attribute name="onclick">
+	<xsl:text>moveInSound(</xsl:text><xsl:value-of
+				select="atilf:traduireTemps(./text())" /><xsl:text>)</xsl:text>
       </xsl:attribute>
-      <xsl:text> </xsl:text>
-    </button> -->
-      
- 
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:attribute name="onclick">
-	<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(preceding::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
-      </xsl:attribute>
-      <xsl:apply-templates select="node()"/>
+			<xsl:apply-templates select="node()" />
 
-    </xsl:copy>
-    
-    <!-- <button type="button"  style='background: url("pause.png") no-repeat; width:25px;height:25px;background-size:100%;'>
-       <xsl:attribute name="onclick">
-	<xsl:text>stopSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text>
+		</xsl:copy>
+
+		<!-- <button type="button" style='background: url("pause.png") no-repeat; 
+			width:25px;height:25px;background-size:100%;'> <xsl:attribute name="onclick"> 
+			<xsl:text>stopSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text> 
+			</xsl:attribute> <xsl:text> </xsl:text> </button> -->
+
+	</xsl:template>
+
+	<xsl:template match="span[@class='word']">
+
+		<!-- <button type="button" style='background: url("play.png") no-repeat; 
+			width:25px;height:25px;background-size:100%;'> <xsl:attribute name="onclick"> 
+			<xsl:text>moveInSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text> 
+			</xsl:attribute> <xsl:text> </xsl:text> </button> -->
+
+
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:attribute name="onclick">
+	<xsl:text>moveInSound(</xsl:text><xsl:value-of
+				select="atilf:traduireTemps(preceding::span[@class='sync'][1]/text())" /><xsl:text>)</xsl:text>
       </xsl:attribute>
-      <xsl:text> </xsl:text>
-</button> -->
- 
-  </xsl:template>
+			<xsl:apply-templates select="node()" />
 
-  
+		</xsl:copy>
+
+		<!-- <button type="button" style='background: url("pause.png") no-repeat; 
+			width:25px;height:25px;background-size:100%;'> <xsl:attribute name="onclick"> 
+			<xsl:text>stopSound(</xsl:text><xsl:value-of select="atilf:traduireTemps(following::span[@class='sync'][1]/text())"/><xsl:text>)</xsl:text> 
+			</xsl:attribute> <xsl:text> </xsl:text> </button> -->
+
+	</xsl:template>
+
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/.classpath
===================================================================
--- tmp/org.txm.edition.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.edition.rcp/.classpath	(revision 2397)
@@ -1,12 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="src" path="res"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="src" path="res" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.chartsengine/.classpath
===================================================================
--- tmp/org.txm.cooccurrence.chartsengine/.classpath	(revision 2396)
+++ tmp/org.txm.cooccurrence.chartsengine/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
-			<accessrule kind="accessible" pattern="**"/>
+			<accessrule kind="accessible" pattern="**" />
 		</accessrules>
 	</classpathentry>
-	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="output" path="bin"/>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
Index: tmp/org.txm.index.core/groovy/org/txm/test/IndexSample.groovy
===================================================================
--- tmp/org.txm.index.core/groovy/org/txm/test/IndexSample.groovy	(revision 2396)
+++ tmp/org.txm.index.core/groovy/org/txm/test/IndexSample.groovy	(revision 2397)
@@ -39,37 +39,27 @@
 import org.txm.searchengine.cqp.corpus.query.*
 
 // on récupère le corpus DISCOURS
-MainCorpus discours = CorpusManager.getCorpusManager().getCorpus("BFM")
-println discours
+MainCorpus discours=CorpusManager.getCorpusManager().getCorpus("BFM")println discours
 
 // on récupère ses propriétés
-Property pos = discours.getProperty("ttpos")
-Property word = discours.getProperty("word")
+Property pos=discours.getProperty("ttpos")Property word=discours.getProperty("word")
 
 // on créé une Query, ici "[]"
-Query query = new Query(Query.fixQuery("[word=\"je\"]"))
+Query query=new Query(Query.fixQuery("[word=\"je\"]"))
 
-List<Property> props = [pos,word]
+List<Property>props=[pos,word]
 
 // on exécute la commande
-def time = System.currentTimeMillis()
-println(""+discours+"\t"+query+"\t"+props)
-Index index = new Index(discours, query, props )
-println("execution time : "+(System.currentTimeMillis()-time)+" ms")
+def time=System.currentTimeMillis()println(""+discours+"\t"+query+"\t"+props)Index index=new Index(discours,query,props)println("execution time : "+(System.currentTimeMillis()-time)+" ms")
 
-//sort
-//index.sortLines(LineComparator.SortMode.FREQUNIT)
+// sort
+// index.sortLines(LineComparator.SortMode.FREQUNIT)
 
-//get some infos
-println("V : "+index.getV())
-println("T : "+index.getT())
+// get some infos
+println("V : "+index.getV())println("T : "+index.getT())
 
-//filter
-index.filterLines(2,3000)
-println("V after: "+index.getV())
-println("T after: "+index.getT())
+// filter
+index.filterLines(2,3000)println("V after: "+index.getV())println("T after: "+index.getT())
 
-//on écrit tout dans un fichier
-File file = new File("voc.txt")
-index.toTxt(file, "'", "\t", "UTF-8")
-println("index file : "+ file.getAbsolutePath())
\ No newline at end of file
+// on écrit tout dans un fichier
+File file=new File("voc.txt")index.toTxt(file,"'","\t","UTF-8")println("index file : "+file.getAbsolutePath())
Index: tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java
===================================================================
--- tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java	(revision 2396)
+++ tmp/org.txm.index.core/groovy/org/txm/test/TestIndex.java	(revision 2397)
@@ -21,6 +21,7 @@
  *
  */
 public class TestIndex {
+	
 	/**
 	 * the corpus name to use
 	 */
@@ -33,20 +34,22 @@
 	
 	/**
 	 * First test
+	 * 
 	 * @param outdir : the out folder
 	 */
 	public boolean test1(File outdir) {
-		return testCorpus(new File(outdir, TestIndex.class.getName()+"_test1.csv"), CORPUS, null, "je", //$NON-NLS-1$ //$NON-NLS-2$
+		return testCorpus(new File(outdir, TestIndex.class.getName() + "_test1.csv"), CORPUS, null, "je", //$NON-NLS-1$ //$NON-NLS-2$
 				Arrays.asList("word"), null); //$NON-NLS-1$
 	}
 	
 	/**
 	 * First test
+	 * 
 	 * @param outdir : the out folder
 	 */
 	public boolean test2(File outdir) {
-//		return testPartition(new File(outdir, TestIndex.class.getName()+"_test2.csv"), CORPUS, "texts", "je", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-//				Arrays.asList("word"), null); //$NON-NLS-1$
+		// return testPartition(new File(outdir, TestIndex.class.getName()+"_test2.csv"), CORPUS, "texts", "je", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		// Arrays.asList("word"), null); //$NON-NLS-1$
 		return false;
 	}
 	
@@ -60,8 +63,9 @@
 			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString));
 			
 			List<WordProperty> properties = new ArrayList<WordProperty>();
-			for (String p : propertiesString) properties.add(corpus.getProperty(p));
-
+			for (String p : propertiesString)
+				properties.add(corpus.getProperty(p));
+			
 			Index index = new Index(corpus);
 			index.setParameters(query, properties, null, null, null, null);
 			index.compute();
@@ -72,38 +76,39 @@
 				else if ("unitfreq".equals(sortBy)) index.sortLines(SortMode.UNITFREQ, false); //$NON-NLS-1$
 			}
 			index.toTxt(outfile, "UTF-8", "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 			return false;
 		}
 		return true;
 	}
 	
-//	private boolean testPartition(File outfile, String corpusname, String partitionname, String queryString,
-//			List<String> propertiesString, String sortBy) {
-//		try {
-//			CQPCorpus corpus = CorpusManager.getCorpusManager().getCorpus(corpusname);
-//			Partition partition = corpus.getPartition(partitionname);
-//			
-//			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString));
-//			
-//			List<WordProperty> properties = new ArrayList<WordProperty>();
-//			for (String p : propertiesString) properties.add(corpus.getProperty(p));
-//
-//			Index index = new Index(partition);
-//			index.setParameters(query, properties, null, null, null, null);
-//			index.compute();
-//			index.getAllLines();
-//			
-//			if (sortBy != null) {
-//				if ("frequnit".equals(sortBy)) index.sortLines(SortMode.FREQUNIT, false); //$NON-NLS-1$
-//				else if ("unitfreq".equals(sortBy)) index.sortLines(SortMode.UNITFREQ, false); //$NON-NLS-1$
-//			}
-//			index.toTxt(outfile, "UTF-8", "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-//		} catch (Exception e) {
-//			org.txm.utils.logger.Log.printStackTrace(e);
-//			return false;
-//		}
-//		return true;
-//	}
+	// private boolean testPartition(File outfile, String corpusname, String partitionname, String queryString,
+	// List<String> propertiesString, String sortBy) {
+	// try {
+	// CQPCorpus corpus = CorpusManager.getCorpusManager().getCorpus(corpusname);
+	// Partition partition = corpus.getPartition(partitionname);
+	//
+	// CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString));
+	//
+	// List<WordProperty> properties = new ArrayList<WordProperty>();
+	// for (String p : propertiesString) properties.add(corpus.getProperty(p));
+	//
+	// Index index = new Index(partition);
+	// index.setParameters(query, properties, null, null, null, null);
+	// index.compute();
+	// index.getAllLines();
+	//
+	// if (sortBy != null) {
+	// if ("frequnit".equals(sortBy)) index.sortLines(SortMode.FREQUNIT, false); //$NON-NLS-1$
+	// else if ("unitfreq".equals(sortBy)) index.sortLines(SortMode.UNITFREQ, false); //$NON-NLS-1$
+	// }
+	// index.toTxt(outfile, "UTF-8", "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+	// } catch (Exception e) {
+	// org.txm.utils.logger.Log.printStackTrace(e);
+	// return false;
+	// }
+	// return true;
+	// }
 }
Index: tmp/org.txm.index.core/groovy/org/txm/macro/r/ExecRMacro.groovy
===================================================================
--- tmp/org.txm.index.core/groovy/org/txm/macro/r/ExecRMacro.groovy	(revision 2396)
+++ tmp/org.txm.index.core/groovy/org/txm/macro/r/ExecRMacro.groovy	(revision 2397)
@@ -9,36 +9,18 @@
 import org.txm.statsengine.r.core.RWorkspace
 
 
-def sel = corpusViewSelection
+def sel=corpusViewSelection
 
-String symbol = null;
-String prop = "none"
-if (sel instanceof Index) {
-	println "Sending Index data to R..."
-	((Index)sel).asRMatrix()
-	symbol = "t("+((Index)sel).getSymbol()+'$data)'
-	prop = ((Index)sel).getProperties().toString()
-}
+String symbol=null;String prop="none"if(sel instanceof Index){println"Sending Index data to R..."((Index)sel).asRMatrix()symbol="t("+((Index)sel).getSymbol()+'$data)'prop=((Index)sel).getProperties().toString()}
 
-if (symbol == null) {
-	println "Selection is not an Index. Aborting."
-	return
-}
+if(symbol==null){println"Selection is not an Index. Aborting."return}
 
-def r = RWorkspace.getRWorkspaceInstance()
-def file = File.createTempFile("IndexHist", ".svg", new File(Toolbox.getTxmHomePath(), "results"))
+def r=RWorkspace.getRWorkspaceInstance()def file=File.createTempFile("IndexHist",".svg",new File(Toolbox.getTxmHomePath(),"results"))
 
 /// BEGIN SCRIPTS
-def script ="""
-par(las=2)
-barplot($symbol, xlab="$prop", ylab="f")
-"""
+def script="""par(las=2)barplot($symbol,xlab="$prop",ylab="f")"""
 /// END SCRIPTS
-r.plot(file, script)
-println "Result saved in: "+file.getAbsolutePath()
+r.plot(file,script)println"Result saved in: "+file.getAbsolutePath()
 
-//display the graphic
-monitor.syncExec(new Runnable() {
-	@Override
-	public void run() {	OpenSVGGraph.OpenSVGFile(file.getAbsolutePath(), "Specificity distribution") }
-});
+// display the graphic
+monitor.syncExec(new Runnable(){@Override public void run(){OpenSVGGraph.OpenSVGFile(file.getAbsolutePath(),"Specificity distribution")}});
Index: tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 2397)
@@ -6,12 +6,13 @@
 
 /**
  * Preferences initializer and manager.
+ * 
  * @author mdecorde
  * @author sjacquot
  *
  */
 public class IndexPreferences extends TXMPreferences {
-
+	
 	/**
 	 * 
 	 */
@@ -21,26 +22,27 @@
 	 * Number of the line of the current page.
 	 */
 	public static final String N_TOP_INDEX = "n_top_index"; //$NON-NLS-1$
-
+	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(IndexPreferences.class)) {
 			new IndexPreferences();
 		}
 		return TXMPreferences.instances.get(IndexPreferences.class);
 	}
-
 	
+	
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
 		
 		Preferences preferences = this.getDefaultPreferencesNode();
-		preferences.put(UNIT_PROPERTIES, DEFAULT_UNIT_PROPERTY); //$NON-NLS-1$
-		preferences.put(UNIT_PROPERTY, DEFAULT_UNIT_PROPERTY); //$NON-NLS-1$
+		preferences.put(UNIT_PROPERTIES, DEFAULT_UNIT_PROPERTY); // $NON-NLS-1$
+		preferences.put(UNIT_PROPERTY, DEFAULT_UNIT_PROPERTY); // $NON-NLS-1$
 		preferences.put(PROPERTIES_SEPARATOR, "_"); //$NON-NLS-1$
 		preferences.put(QUERY, ""); //$NON-NLS-1$
 		preferences.putInt(F_MIN, 1);
Index: tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 2397)
@@ -9,32 +9,38 @@
  *
  */
 public class IndexCoreMessages extends NLS {
-
+	
 	private static final String BUNDLE_NAME = "org.txm.index.core.messages.messages"; //$NON-NLS-1$
 	
-	public static String indexColonPartitionP0queryP1propertiesP2FminP3FmaxP4; 
-	public static String indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4; 
+	public static String indexColonPartitionP0queryP1propertiesP2FminP3FmaxP4;
 	
+	public static String indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4;
+	
 	public static String RESULT_TYPE;
-	public static String lexicon; 
 	
-	public static String consoleColonP0; 
-	public static String error_failedToExportLexiconColonP0; 
-
-
-	public static String formsAndFrequenciesTablesMustHaveTheSameSize; 
-	public static String lexiconColonP0; 
+	public static String lexicon;
+	
+	public static String consoleColonP0;
+	
+	public static String error_failedToExportLexiconColonP0;
+	
+	
+	public static String formsAndFrequenciesTablesMustHaveTheSameSize;
+	
+	public static String lexiconColonP0;
+	
 	public static String computingTheLexiconOfSubcorpusP0;
+	
 	public static String lexiconOfP0InTheP1Corpus;
+	
 	public static String indexOfP0PropertiesP1InTheP2Corpus;
 	
 	
-
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexCoreMessages.class);
 	}
-
-	private IndexCoreMessages() {
-	}
+	
+	private IndexCoreMessages() {}
 }
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/LineComparator.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/LineComparator.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/LineComparator.java	(revision 2397)
@@ -37,31 +37,31 @@
  * The Class LineComparator.
  */
 public class LineComparator implements Comparator<Line> {
-
+	
 	/** The collator. */
 	protected Collator collator;
-
+	
 	/**
 	 * The Enum SortMode.
 	 */
 	public enum SortMode { // the sort methods
 		/** The FREQ. */
- FREQ, // compare only frequency
+		FREQ, // compare only frequency
 		/** The UNIT. */
- UNIT, // compare only units
+		UNIT, // compare only units
 		/** The FREQUNIT. */
- FREQUNIT, // compare frequency then units
+		FREQUNIT, // compare frequency then units
 		/** The UNITFREQ. */
- UNITFREQ
+		UNITFREQ
 		// compare units then frequency
 	}
-
+	
 	/** The currentsortmode. */
 	SortMode currentsortmode = SortMode.FREQUNIT;
 	
 	/** The reverse. */
 	boolean reverse;
-
+	
 	/**
 	 * Instantiates a new line comparator.
 	 *
@@ -72,7 +72,7 @@
 		setSortByFrequence(mode);
 		setReverse(reverse);
 	}
-
+	
 	/**
 	 * set if the sort must be reverted.
 	 *
@@ -81,41 +81,42 @@
 	private void setReverse(boolean reverse) {
 		this.reverse = reverse;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
 	 */
 	@Override
 	public int compare(Line arg0, Line arg1) {
 		int sort = 0;
 		switch (currentsortmode) {
-		case FREQUNIT:
-			sort = arg0.getFrequency() - arg1.getFrequency();
+			case FREQUNIT:
+				sort = arg0.getFrequency() - arg1.getFrequency();
+				
+				if (sort == 0)
+					sort = -collator.compare(arg0.toString(), arg1.toString());
+				
+				break;
 			
-			if (sort == 0)
-				sort = -collator.compare(arg0.toString(), arg1.toString());
+			case UNITFREQ:
+				sort = collator.compare(arg0.toString(), arg1.toString());
+				if (sort == 0)
+					sort = arg0.getFrequency() - arg1.getFrequency();
+				break;
 			
-			break;
-
-		case UNITFREQ:
-			sort = collator.compare(arg0.toString(), arg1.toString());
-			if (sort == 0)
+			case FREQ:
 				sort = arg0.getFrequency() - arg1.getFrequency();
-			break;
-
-		case FREQ:
-			sort = arg0.getFrequency() - arg1.getFrequency();
-			break;
-
-		case UNIT:
-			sort = collator.compare(arg0.toString(), arg1.toString());
-			break;
+				break;
+			
+			case UNIT:
+				sort = collator.compare(arg0.toString(), arg1.toString());
+				break;
 		}
 		if (reverse)
 			sort = -sort;
 		return sort;
 	}
-
+	
 	/**
 	 * set the sort method.
 	 *
@@ -124,7 +125,7 @@
 	public void setSortByFrequence(SortMode mode) {
 		currentsortmode = mode;
 	}
-
+	
 	/**
 	 * Initialize.
 	 *
